Subject: Re: [Netconf] mbj review of draft-ietf-netconf-restconf-server-model-09

From: "Acee Lindem (acee)" <[email-masked]>
Date: Sun, 12 Jun 2016 21:57:05 +0000

I’m about to update this key-chain module and would like to restore the name of simply key-chain since I’ve received negative feedback on the the change to routing-key-chain since it will likely be used for a myriad of non-routing applications.

Kent - would you be opposed to this? Note that your company’s products refer to it as simply “key-chain”.

http://www.juniper.net/documentation/en_US/junos14.2/topics/reference/configuration-statement/key-chain-edit-security-authentication-key-chains.html

From: rtgwg <[email-masked]<mailto:[email-masked]>> on behalf of Acee Lindem <[email-masked]<mailto:[email-masked]>>
Date: Saturday, April 30, 2016 at 2:40 PM
To: Mahesh Jethanandani <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Routing WG <[email-masked]<mailto:[email-masked]>>, Martin Bjorklund <[email-masked]<mailto:[email-masked]>>, Tom Petch <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Netconf] mbj review of draft-ietf-netconf-restconf-server-model-09

So hopefully we’ve put the issue of combining the module to bed for good… If look at the date nodes for these two models, it is patently clear that these serve two different purposes.

What about the naming issue? I got a comment that I should take “routing-“ back out due to the fact that this is what that these key-chains can be used for many non-routing purposes. For example, BFD - http://www.juniper.net/documentation/en_US/junos14.2/topics/reference/configuration-statement/key-chain-edit-security-authentication-key-chains.html

Thanks,
Acee

From: rtgwg <[email-masked]<mailto:[email-masked]>> on behalf of Acee Lindem <[email-masked]<mailto:[email-masked]>>
Date: Monday, April 18, 2016 at 6:04 PM
To: Mahesh Jethanandani <[email-masked]<mailto:[email-masked]>>
Cc: Martin Bjorklund <[email-masked]<mailto:[email-masked]>>, Tom Petch <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Routing WG <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Netconf] mbj review of draft-ietf-netconf-restconf-server-model-09

From: Mahesh Jethanandani <[email-masked]<mailto:[email-masked]>>
Date: Monday, April 18, 2016 at 4:43 PM
To: Acee Lindem <[email-masked]<mailto:[email-masked]>>
Cc: Kent Watsen <[email-masked]<mailto:[email-masked]>>, Tom Petch <[email-masked]<mailto:[email-masked]>>, Martin Bjorklund <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Routing WG <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Netconf] mbj review of draft-ietf-netconf-restconf-server-model-09

On Apr 18, 2016, at 10:25 AM, Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>> wrote:

I did get some negative feedback with respect to adding “routing-“ to the
model name since key chains are used for other non-routing applications as
well.

One of those non-routing protocols is BFD. I am fine if the model is called protocol-key-chain, but I wonder what happens the next entity needing key-chain is not a protocol.

The bigger question in my mind is, are these really different types of key-chains models, or are we talking about one key-chain model?

The rtgwg key chain model is the one we all know and love associated with the graceful rollover of configurable keys. The netconf model is list of certificates for a public key. Please look at the information content of the two models. I hope I don’t have to answer this question again ;^)

Acee

Mahesh Jethanandani
[email-masked]<mailto:[email-masked]>